body[dir=rtl] {
    direction: rtl;
    text-align: right;
}


.btn+.btn {
    margin-left: 0;
    margin-right: 10px
}

.btn i {
    display: inline-block;
    margin-left: 5px;
    margin-right: 0
}

.text-left {
    text-align: right !important
}

.ps-download-app .ps-btn,
.ps-form--quick-search button {
    border-radius: 4px 0 0 4px
}

.ps-form--quick-search .form-group--icon {
    border-radius: 0 4px 4px 0
}

.ps-form--quick-search .form-group--icon .product-cat-label {
    border-left: 1px solid #ccc;
    border-radius: 0 5px 5px 0;
    border-right: none;
    padding-left: 30px;
    padding-right: 18px
}

.ps-form--quick-search .form-group--icon .product-cat-label:after {
    display: none
}

.ps-form--quick-search .form-group--icon .product-cat-label:before {
    color: #000;
    content: "\e93a";
    display: inline-block;
    font: normal normal normal 14px/1 linearicons;
    font-size: 10px;
    left: 12px;
    position: absolute;
    top: 17px
}

.ps-newsletter .ps-btn {
    border-radius: 4px 0 0 4px
}

.menu--product-categories .menu__toggle i {
    margin-left: 10px;
    margin-right: 0
}

.menu--product-categories .menu--dropdown>li.menu-item-has-children>a:after {
    display: none
}

.menu--product-categories .menu--dropdown>li.menu-item-has-children>a:before {
    color: #999;
    content: "\e93b";
    display: inline-block;
    font: normal normal normal 14px/1 linearicons;
    font-size: 11px;
    font-weight: 600;
    left: -10px;
    position: absolute;
    right: auto;
    top: 50%;
    transform: translateY(-50%)
}

.menu--product-categories .menu--dropdown>li>a i {
    float: right;
    margin-left: 10px;
    margin-right: 0
}

.menu--product-categories .menu--dropdown>li.has-mega-menu .mega-menu {
    border-left: 1px solid #ccc;
    border-right: none;
    left: auto;
    right: 100%
}

#homepage-1 .ps-home-banner .ps-section__left {
    padding-left: 30px;
    padding-right: 0
}

.ps-block--user-header .ps-block__right {
    padding-left: 0;
    padding-right: 10px
}

.spinner-icon {
    left: 110px;
    right: auto
}

.navigation__extra>li {
    margin-left: 20px;
    margin-right: 0;
    padding-left: 20px;
    padding-right: 0
}

.navigation__extra>li:last-child {
    margin-left: 0;
    padding-left: 0
}

.navigation__extra>li:after,
.navigation__extra>li:last-child:before {
    display: none
}

.navigation__extra>li:before {
    background-color: var(--header-text-color);
    content: "";
    height: 15px;
    left: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 2px
}

.navigation__extra>li>.ps-dropdown>a {
    padding: 15px 0 15px 20px
}

.navigation .navigation__right {
    padding-left: 0;
    padding-right: 35px
}

.ps-dropdown ul {
    text-align: right
}

.ps-dropdown>a:after {
    display: none
}

.ps-dropdown>a:before {
    background-color: transparent;
    border-left: none;
    border-top: none;
    content: "\e93a";
    font: normal normal normal 12px/1 linearicons;
    height: auto;
    left: 0;
    opacity: 1;
    position: absolute;
    right: auto;
    top: 50%;
    transform: translateY(-50%);
    transform-origin: initial;
    visibility: visible;
    width: auto;
    z-index: auto
}

.menu {
    text-align: right
}

.menu>li.menu-item-has-children>a:before {
    background-color: transparent;
    border-left: none;
    border-top: none;
    content: "\e93a";
    font: normal normal normal 12px/1 linearicons;
    height: auto;
    left: 0;
    opacity: 1;
    position: absolute;
    right: auto;
    top: 50%;
    transform: translateY(-50%);
    transform-origin: initial;
    visibility: visible;
    width: auto;
    z-index: auto
}

.menu>li.menu-item-has-children>a:after {
    background-color: #fff;
    border-left: 1px solid #ccc;
    border-top: 1px solid #ccc;
    content: "";
    height: 13px;
    left: auto;
    opacity: 0;
    position: absolute;
    right: 50%;
    top: 100%;
    transform: rotate(45deg) translate(-50%, -50%);
    transform-origin: 0 0;
    visibility: hidden;
    width: 13px;
    z-index: 10000
}

.menu>li:hover.menu-item-has-children>a:after {
    opacity: 1;
    visibility: visible
}

.ps-block--site-features .ps-block__right {
    padding-left: 0;
    padding-right: 25px
}

.ps-block--site-features .ps-block__item:first-child {
    border-right: none;
    padding-left: 40px
}

.ps-block--site-features .ps-block__item:last-child {
    border-right: 1px solid #dadada;
    padding-left: 0;
    padding-right: 40px
}

.ps-block--countdown-deal .ps-block__left h3 {
    margin-left: 70px;
    margin-right: 0
}

.ps-block--countdown-deal figure figcaption {
    margin-left: 20px;
    margin-right: 0
}

.sub-menu {
    left: auto;
    right: 0
}

.ps-product .ps-product__badge {
    direction: ltr;
    left: 0;
    right: auto
}

.ps-product .ps-product__progress-bar .ps-progress__value>span {
    left: auto;
    right: 0
}

.ps-carousel--nav .owl-nav .owl-prev {
    float: right;
    margin-left: 0;
    margin-right: -70px
}

.ps-carousel--nav .owl-nav .owl-prev i {
    padding-left: 2px;
    padding-right: 0
}

.ps-carousel--nav .owl-nav .owl-next {
    float: left;
    margin-left: -70px
}

.icon-chevron-right:before {
    content: "\e93b"
}

.icon-chevron-left:before {
    content: "\e93c"
}

.header--mobile-product .header__back .icon-chevron-left:before {
    content: "\e93b"
}

.ps-product-list .ps-section__links li:first-child {
    margin-right: 0
}

.ps-product-list .ps-section__links li:last-child {
    margin-right: 30px
}

.form-group--nest input {
    border-left: none;
    border-radius: 0 4px 4px 0;
    border-right: 1px solid #ccc
}

.form-group--nest input:focus {
    border-right: 1px solid var(--color-1st)
}

.ps-footer__links p a:after {
    margin-left: 0;
    margin-right: 5px
}

.ps-block--download-app .download-link a {
    margin-left: 18px;
    margin-right: 0
}

.ps-cart--mobile .ps-cart__footer h3 strong,
.ps-cart--mobile .ps-cart__footer h5 strong {
    float: left
}

.ps-product--detail .ps-product__info {
    text-align: right
}

.ps-product--detail .ps-product__header .ps-product__info {
    padding-left: 0;
    padding-right: 30px
}

.ps-product--detail .ps-product__desc ul li:before {
    display: none
}

.ps-product--detail .ps-product__meta p {
    margin-left: 10px;
    margin-right: 0;
    padding-left: 10px;
    padding-right: 0
}

.ps-product--detail .ps-product__meta p:after {
    display: none
}

.ps-product--detail .ps-product__meta p:before {
    background-color: #ccc;
    content: "";
    height: 14px;
    left: 0;
    position: absolute;
    right: auto;
    top: 50%;
    transform: translateY(-50%);
    width: 1px
}

.ps-product--detail .ps-product__countdown figure figcaption {
    padding-left: 20px;
    padding-right: 0
}

.ps-product--detail .ps-product__progress-bar .ps-progress__value>span {
    left: auto;
    right: 0
}

.ps-product--detail .ps-product__shopping>* {
    margin-left: 30px;
    margin-right: 0
}

.ps-product--detail .ps-product__sharing a {
    margin-left: 10px;
    margin-right: 0
}

.ps-product--detail .ps-product__sharing a:last-child {
    margin-right: 10px
}

.ps-product--detail .ps-product__sharing a:first-child {
    margin-right: 0
}

.ps-product--detail .ps-product__specification p strong {
    float: right;
    margin-left: 5px;
    margin-right: 0
}

.ps-product--detail .ps-tab-list {
    padding-right: 0
}

.ps-list--dot li {
    padding-left: 0;
    padding-right: 20px
}

.ps-list--dot li:after {
    background-color: #999;
    border-radius: 50%;
    content: "";
    height: 6px;
    left: auto;
    position: absolute;
    right: 0;
    top: 6px;
    width: 6px
}

.ps-page--product .ps-page__container .ps-page__left,
.ps-product--header-sticky .ps-product__shopping .ps-product__price {
    padding-left: 30px;
    padding-right: 0
}

.ps-product--header-sticky .ps-tab-list li {
    margin-left: 20px;
    margin-right: 0
}

.ps-product--header-sticky .ps-tab-list li:last-child {
    margin-left: 0
}

.product__color .color-swatch li {
    margin-left: 5px;
    margin-right: 0
}

.ps-layout--shop .ps-layout__left {
    padding-left: 30px;
    padding-right: 0
}

.ps-list--categories li {
    padding: 6px 0 6px 20px
}

.ps-list--categories li .sub-toggle {
    left: 0;
    right: auto
}

.widget_shop .ps-slider__meta {
    direction: ltr;
    text-align: right
}

.widget_shop .ps-checkbox>label {
    padding-left: 0;
    padding-right: 25px
}

.widget_shop .ps-checkbox>label:after {
    left: auto;
    right: 7px
}

.ps-checkbox label:before {
    left: auto;
    right: 0
}

.ps-shopping .ps-shopping__actions .ps-shopping__view {
    padding-left: 0;
    padding-right: 40px
}

.widget--colors .color-swatch li {
    margin-left: 10px;
    margin-right: 0
}

.widget--blog.widget--search .ps-form--widget-search input {
    text-align: left
}

.ps-blog--sidebar .ps-blog__right {
    padding-left: 0;
    padding-right: 30px
}

.ps-blog--sidebar .ps-blog__left {
    padding-left: 70px;
    padding-right: 0
}

.ps-cart--mini .ps-cart__content {
    left: -30px;
    right: auto
}

.ps-cart--mini .ps-cart__items:before {
    left: 30px;
    right: auto
}

.ps-product--cart-mobile .ps-product__content .ps-product__remove,
.ps-shopping-cart .ps-section__footer figure figcaption:after {
    left: 0;
    right: auto
}

.ps-block--shopping-total .ps-block__header p span,
.ps-block--shopping-total h3 span {
    float: left
}

.menu--mobile>li.menu-item-has-children .sub-toggle {
    left: 0;
    right: auto
}

.menu--mobile li a i {
    float: right;
    margin-left: 7px
}

.header--mobile-categories .header__filter>button {
    border-left: 1px solid #ccc;
    border-right: none
}

.ps-block--average-rating .ps-block__star .ps-progress span,
.rating_wrap .product_rate,
.rating_wrap .product_rate:before {
    left: auto;
    right: 0
}

.ps-form--review .form-group__rating label {
    margin-left: 15px;
    margin-right: 0
}

.block--review .block__header .block__info {
    padding-left: 0;
    padding-right: 15px
}

.ps-checkbox label {
    padding-left: 0;
    padding-right: 30px
}

.ps-form--account .form-forgot>a {
    left: 10px;
    right: auto
}

.ps-form--account .form-forgot input {
    padding-left: 100px;
    padding-right: 20px
}

.ps-block--countdown-deal .ps-countdown li:after {
    margin-left: 0;
    margin-right: 5px
}

.header--mobile-categories .header__filter button i {
    margin-left: 10px;
    margin-right: 0
}

#alert-container {
    left: 5px;
    right: auto
}

#alert-container .alert {
    padding: 15px 60px 15px 40px
}

#alert-container .alert .message-icon {
    left: auto;
    right: 5%
}

#alert-container .alert.alert-dismissible .close {
    left: 15px;
    right: auto
}

.ps-widget--account-dashboard .ps-widget__header figure {
    padding-left: 0;
    padding-right: 10px
}

.ps-widget--account-dashboard .ps-widget__content ul li a i {
    float: right;
    margin-left: 10px;
    margin-right: 0
}

.ps-section--account-setting .ps-section__content i {
    float: right;
    margin-left: 10px;
    margin-right: 0;
    margin-top: 3px
}

.avatar-preview {
    margin-left: 15px;
    margin-right: 0
}

.modal-header .close {
    float: left;
    margin: 0
}

.ps-checkbox label:after {
    left: auto;
    right: 7px
}

.lg-outer {
    direction: ltr
}

.ps-block--store-banner .ps-block__user p i {
    display: inline-block
}
.bosoine-aide--giga p {
    text-align: right;
}
.form-control {
    padding: 0 42px !important;
}
.title-step-1 {
    text-align: RIGHT !important;
}
.title-cont-box {
    text-align: right;
}
.info-contac-1-2 p {
    margin-right: 5px;
}
.img-slid-home--gega img {
    margin-left: 0px !important;
    margin-right: 0px !important;
    padding: 0px !important;
}
.bosoine-aide--giga a, .bosoine-aide2--giga a {
    text-align: right;
}
@media screen and (max-width:1365px) {

    .ps-product--detail .ps-product__shopping .ps-btn,
    .ps-product--detail .ps-product__shopping figure {
        margin-left: 10px;
        margin-right: 0
    }
}

@media (max-width:1199px) {

    #homepage-1 .ps-home-banner .ps-section__left,
    .ps-page--product .ps-page__container .ps-page__left {
        padding-left: 0
    }
}

@media (max-width:767px) {
    .ps-product--detail .ps-product__sharing {
        text-align: right
    }

    .ps-shopping-product .ps-product .ps-product__badge {
        left: 5px;
        right: auto
    }
}

@media (max-width:479px) {
    .header--mobile .header__actions>* {
        margin-left: 20px;
        margin-right: 0
    }

    .ps-block--site-features .ps-block__item:last-child {
        border-right: none;
        padding-right: 0
    }

    .ps-block--site-features .ps-block__item:first-child {
        padding-left: 0
    }
}

@media (min-width:768px) {
    .ps-block--store-banner .ps-block__user .ps-block__user-content {
        padding-left: 0;
        padding-right: 30px
    }
}

#tab-faq .card .card-header h2 button:after {
    left: 0;
    right: auto
}
/* style onestcom */
.img-slid-home--gega {
    padding-right: 0px !important;
    padding-left: 0px;
    text-align: -webkit-left;
}
.bg--gega-home {
    padding: 50px 30px 40px 15px !important;
    border-radius: 0px;
}
.fixed-top--giga-1 {
    top: 110px;
}
.ps-blog--sidebar .ps-blog__left {
    padding-left: 0px !important;
}
.menu>li>a {
    padding: 15px 20px;
    /* letter-spacing: 4px; */
}
.menu>li.menu-item-has-children>a:before {
    left: 6px !important;
    top: 60%;
}
.search--giga {
    right: 45%;
}
.head-resau-gig1 p, .reseau-content-giga-1 p, .text-page--giga1 {
    text-align: right !important;
}
.footer-2--giga:not(:last-child) {
    margin-left: 50px;
    margin-right: 0px;
}
.news-arab--giga {
    position: relative;
}
.news-arab--giga-s{
    position: absolute;
}
.footer-2--giga p {
    text-align: right;
}
.footer-2--giga h4 {
    text-align: right;
}
.link-footer-giga li span {
    text-align: right;
    margin-right: 5px;
}
.footer-1s--giga {
    margin-left: 0px;
}
.icone-aide--giga-1 {
    margin-right: 0px;
    margin-left: 10px;
}